| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ITime Class Reference

`#include <ITime.h>`

Inheritance diagram for ITime:

[legend]
List of all members.

## Detailed Description

Definition at line 27 of file ITime.h.

## Public Types
typedef longlong | AbsoluteTime
typedef double | DimensionedTime
## Public Member Functions
virtual AbsoluteTime | absoluteTime () const=0
virtual DimensionedTime | seconds () const=0
virtual DimensionedTime | minutes () const=0
virtual DimensionedTime | hours () const=0
virtual DimensionedTime | days () const=0
virtual bool | operator== (const ITime &) const =0
virtual bool | operator!= (const ITime &) const =0
virtual bool | operator<= (const ITime &) const =0
virtual bool | operator>= (const ITime &) const =0
virtual bool | operator< (const ITime &) const =0
virtual bool | operator> (const ITime &) const =0
virtual ITime & | operator+= (const ITime &)=0
virtual ITime & | operator-= (const ITime &)=0
virtual std::ostream & | printOut (std::ostream &) const =0
virtual | ~ITime ()

## Member Typedef Documentation

typedef longlong ITime::AbsoluteTime

Definition at line 36 of file ITime.h.

typedef double ITime::DimensionedTime

Definition at line 37 of file ITime.h.

## Constructor & Destructor Documentation

virtual ITime::~ITime | ( |  | ) | `[inline, virtual]`

Definition at line 77 of file ITime.h.

    00077 {};

## Member Function Documentation

virtual AbsoluteTime ITime::absoluteTime | ( |  | ) | const`[pure virtual]`

Implemented in TimePoint.

Referenced by TimePoint::operator!=(), TimePoint::operator+=(), TimePoint::operator-=(), TimePoint::operator<(), TimePoint::operator<=(), TimePoint::operator==(), TimePoint::operator>(), and TimePoint::operator>=().

virtual DimensionedTime ITime::seconds | ( |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual DimensionedTime ITime::minutes | ( |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual DimensionedTime ITime::hours | ( |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual DimensionedTime ITime::days | ( |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual bool ITime::operator== | ( | const ITime & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual bool ITime::operator!= | ( | const ITime & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual bool ITime::operator<= | ( | const ITime & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual bool ITime::operator>= | ( | const ITime & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual bool ITime::operator< | ( | const ITime & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual bool ITime::operator> | ( | const ITime & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

virtual ITime& ITime::operator+= | ( | const ITime & |  | ) | `[pure virtual]`

Implemented in TimePoint.

virtual ITime& ITime::operator-= | ( | const ITime & |  | ) | `[pure virtual]`

Implemented in TimePoint.

virtual std::ostream& ITime::printOut | ( | std::ostream & |  | ) | const`[pure virtual]`

Implemented in TimePoint.

Referenced by operator<<().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ITime.h